# TODO
# - make R: firefox something generic (it uses X11 and remote.c to find
#   browser window to send openURL(%s, %s) command there)
%define		rel	30
Summary:	Network audit tools
Summary(pl.UTF-8):	Narzędzia do kontroli sieci
Name:		dsniff
Version:	2.4
Release:	0.b1.%{rel}
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.monkey.org/~dugsong/dsniff/beta/%{name}-%{version}b1.tar.gz
# Source0-md5:	2f761fa3475682a7512b0b43568ee7d6
Patch0:		debian.patch
Patch1:		%{name}-libdir.patch
Patch2:		%{name}-nolibs.patch
Patch3:		pcap.patch
Patch4:		rpc.patch
# ggsniff 1.2 from http://ggsniff.sourceforge.net/
#Patch3:	%{name}-gg.patch
URL:		http://www.monkey.org/~dugsong/dsniff/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	db-devel
BuildRequires:	glibc-static
BuildRequires:	libnet-devel >= 1:1.1
BuildRequires:	libnids-devel
BuildRequires:	libpcap-devel
BuildRequires:	libtirpc-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tools to audit network and to demonstrate the insecurity of cleartext
network protocols. Please do not abuse this software.

%description -l pl.UTF-8
Narzędzia do kontroli sieci oraz demonstracji braku zabezpieczeń w
nieszyfrowanych protokołach sieciowych. Proszę nie nadużywać tego
oprogramowania.

%package webspy
Summary:	Network audit tools
Summary(pl.UTF-8):	Narzędzia do kontroli sieci
Group:		Networking/Utilities
Requires:	%{name} = %{version}-%{release}
Requires:	firefox

%description webspy
webspy sends URLs sniffed from a client to your local Firefox browser
for display, updated in real-time (as the target surfs, your browser
surfs along with them, automagically). Firefox must be running on your
local X display ahead of time.

%description webspy -l pl.UTF-8
webspy przesyła podsłuchane URL-e do wyświetlenia w lokalnie
uruchomionej przeglądarce Firefox. Adresy są uaktualniane na bieżąco
(a więc przegląda się strony równolegle z podsłuchiwanym). Firefox
musi być wcześniej uruchomiony na lokalnym serwerze X.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__rm} configure

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--libdir=%{_datadir}/%{name}

# don't build libmissing.a with progs in parallel 
%{__make} libmissing.a
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	install_prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README TODO
%attr(755,root,root) %{_sbindir}/arpspoof
%attr(755,root,root) %{_sbindir}/dnsspoof
%attr(755,root,root) %{_sbindir}/dsniff
%attr(755,root,root) %{_sbindir}/filesnarf
%attr(755,root,root) %{_sbindir}/macof
%attr(755,root,root) %{_sbindir}/mailsnarf
%attr(755,root,root) %{_sbindir}/msgsnarf
%attr(755,root,root) %{_sbindir}/sshmitm
%attr(755,root,root) %{_sbindir}/sshow
%attr(755,root,root) %{_sbindir}/tcpkill
%attr(755,root,root) %{_sbindir}/tcpnice
%attr(755,root,root) %{_sbindir}/urlsnarf
%attr(755,root,root) %{_sbindir}/webmitm
%{_datadir}/%{name}
%{_mandir}/man8/arpspoof.8*
%{_mandir}/man8/dnsspoof.8*
%{_mandir}/man8/dsniff.8*
%{_mandir}/man8/filesnarf.8*
%{_mandir}/man8/macof.8*
%{_mandir}/man8/mailsnarf.8*
%{_mandir}/man8/msgsnarf.8*
%{_mandir}/man8/sshmitm.8*
%{_mandir}/man8/sshow.8*
%{_mandir}/man8/tcpkill.8*
%{_mandir}/man8/tcpnice.8*
%{_mandir}/man8/urlsnarf.8*
%{_mandir}/man8/webmitm.8*

%files webspy
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/webspy
%{_mandir}/man8/webspy.8*
%changelog
* Sat Oct 23 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dsniff.git;a=log;h=master

* Sat Oct 23 2021 Jan Rękorajski <baggins@pld-linux.org> 6cb165c
- fix conflicts with libpcap
- use libtirpc for rpc code
- rel 30

* Sat May 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 96e20b5
- added libdir patch (drop -Llibdir from linking without ugly sed calls)
- added nolibs patch (drop unnecessary -lnsl)
- release 29 (rebuild with libnet 1.2)

* Thu Sep 20 2018 Elan Ruusamäe <glen@pld-linux.org> 887a72c
- reproducive build

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4376cb2
- rel 28; rm old configure as sometimes it doesn't get overwritten by autoconf

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 441375c
- drop unneeded flags

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d361a0
- rel 27; use all debian patches

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5df3ada
- release 26 (by relup.sh)

* Mon Mar 28 2016 Jan Rękorajski <baggins@pld-linux.org> a928308
- s/iceweasel/firefox/
- rel 25

* Mon Sep 30 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b085a27
- release 24 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 29de3c2
- release 23 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> ad3b21c
- Rebuild with DB 5.3
- release 22 (by relup.sh)

* Sun Apr 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 1e8b50c
- xorg BRs less messy

* Sun Feb 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 58e72e1
- release 21

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 139f2ef
- rel .20

* Tue Aug 24 2010 hawk <hawk@pld-linux.org> faddc69
- release 19

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 86b640b
- rel 18; first build libmissing.a

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a3805d
- rel 17

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6931cac
- release 16

* Fri Apr 09 2010 Jan Wideł <jasw@pld-linux.org> 39d3250
- add missing BR

* Thu Apr 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cf24f0
- release 15

